import {requestInstance} from "@/service";

export function DataImputationTaskHomeTableData(params) {
 return requestInstance({
  url:'/Kettle/queryKettleTaskList',
  data:{
   ...params
  }
 })
}
export function changeDataImputationTaskHomeStatus(params) {
 return requestInstance({
  url:'/Kettle/editKettleTaskStates',
  data:{
   ...params
  }
 })
}
export function changeDetailState(KETTLE_RULE_ID,KETTLE_RULE_STATES) {
 return requestInstance({
  url:'/Kettle/editKettleRuleStates',
  data:{
   KETTLE_RULE_ID,KETTLE_RULE_STATES
  }
 })
}
export function saveOrRefreshImputationDAdd(params){
 return requestInstance({
  url:'/Kettle/addKettleTask',
  data:{
   ...params
  }
 })
}
export function saveOrRefreshImputationDEdit(params){
 return requestInstance({
  url:'/Kettle/editKettleTask',
  data:{
   ...params
  }
 })
}
